Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.can
Class JaguarCANProtocol

    java.lang.Object
      edu.wpi.first.wpilibj.can.JaguarCANProtocol

    public class JaguarCANProtocol

extends Object

Field Summary
`static int` | `CAN_API_MC_ACK`
`static int` | `CAN_API_MC_CFG`
`static int` | `CAN_API_MC_ICTRL`
`static int` | `CAN_API_MC_POS`
`static int` | `CAN_API_MC_PSTAT`
`static int` | `CAN_API_MC_SPD`
`static int` | `CAN_API_MC_STATUS`
`static int` | `CAN_API_MC_VCOMP`
`static int` | `CAN_API_MC_VOLTAGE`
`static int` | `CAN_MSGID_API_CLASS_M`
`static int` | `CAN_MSGID_API_DEVASSIGN`
`static int` | `CAN_MSGID_API_DEVQUERY`
`static int` | `CAN_MSGID_API_ENUMERATE`
`static int` | `CAN_MSGID_API_FIRMVER`
`static int` | `CAN_MSGID_API_HEARTBEAT`
`static int` | `CAN_MSGID_API_ID_M`
`static int` | `CAN_MSGID_API_M`
`static int` | `CAN_MSGID_API_S`
`static int` | `CAN_MSGID_API_SYNC`
`static int` | `CAN_MSGID_API_SYSHALT`
`static int` | `CAN_MSGID_API_SYSRESUME`
`static int` | `CAN_MSGID_API_SYSRST`
`static int` | `CAN_MSGID_API_UPDATE`
`static int` | `CAN_MSGID_DEVNO_BCAST`
`static int` | `CAN_MSGID_DEVNO_M`
`static int` | `CAN_MSGID_DEVNO_S`
`static int` | `CAN_MSGID_DTYPE_ACCEL`
`static int` | `CAN_MSGID_DTYPE_BCAST`
`static int` | `CAN_MSGID_DTYPE_GEART`
`static int` | `CAN_MSGID_DTYPE_GYRO`
`static int` | `CAN_MSGID_DTYPE_M`
`static int` | `CAN_MSGID_DTYPE_MOTOR`
`static int` | `CAN_MSGID_DTYPE_RELAY`
`static int` | `CAN_MSGID_DTYPE_ROBOT`
`static int` | `CAN_MSGID_DTYPE_S`
`static int` | `CAN_MSGID_DTYPE_UPDATE`
`static int` | `CAN_MSGID_DTYPE_USONIC`
`static int` | `CAN_MSGID_FULL_M`
`static int` | `CAN_MSGID_MFR_DEKA`
`static int` | `CAN_MSGID_MFR_LM`
`static int` | `CAN_MSGID_MFR_M`
`static int` | `CAN_MSGID_MFR_NI`
`static int` | `CAN_MSGID_MFR_S`
`static int` | `CAN_STATUS_CODE_M`
`static int` | `CAN_STATUS_CODE_S`
`static int` | `CAN_STATUS_DTYPE_M`
`static int` | `CAN_STATUS_DTYPE_S`
`static int` | `CAN_STATUS_MFG_M`
`static int` | `CAN_STATUS_MFG_S`
`static int` | `LM_API_ACK`
`static int` | `LM_API_CFG`
`static int` | `LM_API_CFG_BRAKE_COAST`
`static int` | `LM_API_CFG_ENC_LINES`
`static int` | `LM_API_CFG_FAULT_TIME`
`static int` | `LM_API_CFG_LIMIT_FWD`
`static int` | `LM_API_CFG_LIMIT_MODE`
`static int` | `LM_API_CFG_LIMIT_REV`
`static int` | `LM_API_CFG_MAX_VOUT`
`static int` | `LM_API_CFG_NUM_BRUSHES`
`static int` | `LM_API_CFG_POT_TURNS`
`static int` | `LM_API_HWVER`
`static int` | `LM_API_ICTRL`
`static int` | `LM_API_ICTRL_DC`
`static int` | `LM_API_ICTRL_DIS`
`static int` | `LM_API_ICTRL_EN`
`static int` | `LM_API_ICTRL_IC`
`static int` | `LM_API_ICTRL_PC`
`static int` | `LM_API_ICTRL_SET`
`static int` | `LM_API_ICTRL_SET_NO_ACK`
`static int` | `LM_API_ICTRL_T_EN`
`static int` | `LM_API_ICTRL_T_SET`
`static int` | `LM_API_ICTRL_T_SET_NO_ACK`
`static int` | `LM_API_POS`
`static int` | `LM_API_POS_DC`
`static int` | `LM_API_POS_DIS`
`static int` | `LM_API_POS_EN`
`static int` | `LM_API_POS_IC`
`static int` | `LM_API_POS_PC`
`static int` | `LM_API_POS_REF`
`static int` | `LM_API_POS_SET`
`static int` | `LM_API_POS_SET_NO_ACK`
`static int` | `LM_API_POS_T_EN`
`static int` | `LM_API_POS_T_SET`
`static int` | `LM_API_POS_T_SET_NO_ACK`
`static int` | `LM_API_PSTAT`
`static int` | `LM_API_PSTAT_CFG_S0`
`static int` | `LM_API_PSTAT_CFG_S1`
`static int` | `LM_API_PSTAT_CFG_S2`
`static int` | `LM_API_PSTAT_CFG_S3`
`static int` | `LM_API_PSTAT_DATA_S0`
`static int` | `LM_API_PSTAT_DATA_S1`
`static int` | `LM_API_PSTAT_DATA_S2`
`static int` | `LM_API_PSTAT_DATA_S3`
`static int` | `LM_API_PSTAT_PER_EN_S0`
`static int` | `LM_API_PSTAT_PER_EN_S1`
`static int` | `LM_API_PSTAT_PER_EN_S2`
`static int` | `LM_API_PSTAT_PER_EN_S3`
`static int` | `LM_API_SPD`
`static int` | `LM_API_SPD_DC`
`static int` | `LM_API_SPD_DIS`
`static int` | `LM_API_SPD_EN`
`static int` | `LM_API_SPD_IC`
`static int` | `LM_API_SPD_PC`
`static int` | `LM_API_SPD_REF`
`static int` | `LM_API_SPD_SET`
`static int` | `LM_API_SPD_SET_NO_ACK`
`static int` | `LM_API_SPD_T_EN`
`static int` | `LM_API_SPD_T_SET`
`static int` | `LM_API_SPD_T_SET_NO_ACK`
`static int` | `LM_API_STATUS`
`static int` | `LM_API_STATUS_CMODE`
`static int` | `LM_API_STATUS_CURRENT`
`static int` | `LM_API_STATUS_FAULT`
`static int` | `LM_API_STATUS_FLT_COUNT`
`static int` | `LM_API_STATUS_LIMIT`
`static int` | `LM_API_STATUS_POS`
`static int` | `LM_API_STATUS_POWER`
`static int` | `LM_API_STATUS_SPD`
`static int` | `LM_API_STATUS_STKY_FLT`
`static int` | `LM_API_STATUS_TEMP`
`static int` | `LM_API_STATUS_VOLTBUS`
`static int` | `LM_API_STATUS_VOLTOUT`
`static int` | `LM_API_STATUS_VOUT`
`static int` | `LM_API_SYNC_PEND_NOW`
`static int` | `LM_API_TRUST_EN`
`static int` | `LM_API_TRUST_HEARTBEAT`
`static int` | `LM_API_UNTRUST_EN`
`static int` | `LM_API_UPD`
`static int` | `LM_API_UPD_ACK`
`static int` | `LM_API_UPD_DOWNLOAD`
`static int` | `LM_API_UPD_PING`
`static int` | `LM_API_UPD_REQUEST`
`static int` | `LM_API_UPD_RESET`
`static int` | `LM_API_UPD_SEND_DATA`
`static int` | `LM_API_VCOMP`
`static int` | `LM_API_VCOMP_COMP_RAMP`
`static int` | `LM_API_VCOMP_DIS`
`static int` | `LM_API_VCOMP_EN`
`static int` | `LM_API_VCOMP_IN_RAMP`
`static int` | `LM_API_VCOMP_SET`
`static int` | `LM_API_VCOMP_SET_NO_ACK`
`static int` | `LM_API_VCOMP_T_EN`
`static int` | `LM_API_VCOMP_T_SET`
`static int` | `LM_API_VCOMP_T_SET_NO_ACK`
`static int` | `LM_API_VOLT`
`static int` | `LM_API_VOLT_DIS`
`static int` | `LM_API_VOLT_EN`
`static int` | `LM_API_VOLT_RAMP_DIS`
`static int` | `LM_API_VOLT_SET`
`static int` | `LM_API_VOLT_SET_NO_ACK`
`static int` | `LM_API_VOLT_SET_RAMP`
`static int` | `LM_API_VOLT_T_EN`
`static int` | `LM_API_VOLT_T_SET`
`static int` | `LM_API_VOLT_T_SET_NO_ACK`
`static int` | `LM_FAULT_COMM`
`static int` | `LM_FAULT_CURRENT`
`static int` | `LM_FAULT_GATE_DRIVE`
`static int` | `LM_FAULT_TEMP`
`static int` | `LM_FAULT_VBUS`
`static int` | `LM_HWVER_JAG_1_0`
`static int` | `LM_HWVER_JAG_2_0`
`static int` | `LM_HWVER_UNKNOWN`
`static int` | `LM_PSTAT_CANERR_B0`
`static int` | `LM_PSTAT_CANERR_B1`
`static int` | `LM_PSTAT_CANSTS`
`static int` | `LM_PSTAT_CURRENT_B0`
`static int` | `LM_PSTAT_CURRENT_B1`
`static int` | `LM_PSTAT_END`
`static int` | `LM_PSTAT_FAULT`
`static int` | `LM_PSTAT_FLT_COUNT_COMM`
`static int` | `LM_PSTAT_FLT_COUNT_CURRENT`
`static int` | `LM_PSTAT_FLT_COUNT_GATE`
`static int` | `LM_PSTAT_FLT_COUNT_TEMP`
`static int` | `LM_PSTAT_FLT_COUNT_VOLTBUS`
`static int` | `LM_PSTAT_LIMIT_CLR`
`static int` | `LM_PSTAT_LIMIT_NCLR`
`static int` | `LM_PSTAT_POS_B0`
`static int` | `LM_PSTAT_POS_B1`
`static int` | `LM_PSTAT_POS_B2`
`static int` | `LM_PSTAT_POS_B3`
`static int` | `LM_PSTAT_SPD_B0`
`static int` | `LM_PSTAT_SPD_B1`
`static int` | `LM_PSTAT_SPD_B2`
`static int` | `LM_PSTAT_SPD_B3`
`static int` | `LM_PSTAT_STKY_FLT_CLR`
`static int` | `LM_PSTAT_STKY_FLT_NCLR`
`static int` | `LM_PSTAT_TEMP_B0`
`static int` | `LM_PSTAT_TEMP_B1`
`static int` | `LM_PSTAT_VOLTBUS_B0`
`static int` | `LM_PSTAT_VOLTBUS_B1`
`static int` | `LM_PSTAT_VOLTOUT_B0`
`static int` | `LM_PSTAT_VOLTOUT_B1`
`static int` | `LM_PSTAT_VOUT_B0`
`static int` | `LM_PSTAT_VOUT_B1`
`static int` | `LM_REF_ENCODER`
`static int` | `LM_REF_INV_ENCODER`
`static int` | `LM_REF_NONE`
`static int` | `LM_REF_POT`
`static int` | `LM_REF_QUAD_ENCODER`
`static int` | `LM_STATUS_CMODE_CURRENT`
`static int` | `LM_STATUS_CMODE_POS`
`static int` | `LM_STATUS_CMODE_SPEED`
`static int` | `LM_STATUS_CMODE_VCOMP`
`static int` | `LM_STATUS_CMODE_VOLT`
`static int` | `LM_STATUS_FAULT_ILIMIT`
`static int` | `LM_STATUS_FAULT_TLIMIT`
`static int` | `LM_STATUS_FAULT_VLIMIT`
`static int` | `LM_STATUS_LIMIT_FWD`
`static int` | `LM_STATUS_LIMIT_REV`
`static int` | `LM_STATUS_LIMIT_SREV`
`static int` | `LM_STATUS_LIMIT_STKY_FWD`
`static int` | `LM_STATUS_LIMIT_STKY_REV`
`static int` | `LM_STATUS_LIMIT_STKY_SFWD`
`static int` | `LM_STATUS_LIMIT_STKY_SREV`

Constructor Summary
`JaguarCANProtocol()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAN_MSGID_FULL_M

    public static final int CAN_MSGID_FULL_M

See Also:
  Constant Field Values

### CAN_MSGID_DEVNO_M

    public static final int CAN_MSGID_DEVNO_M

See Also:
  Constant Field Values

### CAN_MSGID_API_M

    public static final int CAN_MSGID_API_M

See Also:
  Constant Field Values

### CAN_MSGID_MFR_M

    public static final int CAN_MSGID_MFR_M

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_M

    public static final int CAN_MSGID_DTYPE_M

See Also:
  Constant Field Values

### CAN_MSGID_DEVNO_S

    public static final int CAN_MSGID_DEVNO_S

See Also:
  Constant Field Values

### CAN_MSGID_API_S

    public static final int CAN_MSGID_API_S

See Also:
  Constant Field Values

### CAN_MSGID_MFR_S

    public static final int CAN_MSGID_MFR_S

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_S

    public static final int CAN_MSGID_DTYPE_S

See Also:
  Constant Field Values

### CAN_MSGID_DEVNO_BCAST

    public static final int CAN_MSGID_DEVNO_BCAST

See Also:
  Constant Field Values

### CAN_MSGID_API_SYSHALT

    public static final int CAN_MSGID_API_SYSHALT

See Also:
  Constant Field Values

### CAN_MSGID_API_SYSRST

    public static final int CAN_MSGID_API_SYSRST

See Also:
  Constant Field Values

### CAN_MSGID_API_DEVASSIGN

    public static final int CAN_MSGID_API_DEVASSIGN

See Also:
  Constant Field Values

### CAN_MSGID_API_DEVQUERY

    public static final int CAN_MSGID_API_DEVQUERY

See Also:
  Constant Field Values

### CAN_MSGID_API_HEARTBEAT

    public static final int CAN_MSGID_API_HEARTBEAT

See Also:
  Constant Field Values

### CAN_MSGID_API_SYNC

    public static final int CAN_MSGID_API_SYNC

See Also:
  Constant Field Values

### CAN_MSGID_API_UPDATE

    public static final int CAN_MSGID_API_UPDATE

See Also:
  Constant Field Values

### CAN_MSGID_API_FIRMVER

    public static final int CAN_MSGID_API_FIRMVER

See Also:
  Constant Field Values

### CAN_MSGID_API_ENUMERATE

    public static final int CAN_MSGID_API_ENUMERATE

See Also:
  Constant Field Values

### CAN_MSGID_API_SYSRESUME

    public static final int CAN_MSGID_API_SYSRESUME

See Also:
  Constant Field Values

### CAN_STATUS_CODE_M

    public static final int CAN_STATUS_CODE_M

See Also:
  Constant Field Values

### CAN_STATUS_MFG_M

    public static final int CAN_STATUS_MFG_M

See Also:
  Constant Field Values

### CAN_STATUS_DTYPE_M

    public static final int CAN_STATUS_DTYPE_M

See Also:
  Constant Field Values

### CAN_STATUS_CODE_S

    public static final int CAN_STATUS_CODE_S

See Also:
  Constant Field Values

### CAN_STATUS_MFG_S

    public static final int CAN_STATUS_MFG_S

See Also:
  Constant Field Values

### CAN_STATUS_DTYPE_S

    public static final int CAN_STATUS_DTYPE_S

See Also:
  Constant Field Values

### CAN_MSGID_MFR_NI

    public static final int CAN_MSGID_MFR_NI

See Also:
  Constant Field Values

### CAN_MSGID_MFR_LM

    public static final int CAN_MSGID_MFR_LM

See Also:
  Constant Field Values

### CAN_MSGID_MFR_DEKA

    public static final int CAN_MSGID_MFR_DEKA

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_BCAST

    public static final int CAN_MSGID_DTYPE_BCAST

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_ROBOT

    public static final int CAN_MSGID_DTYPE_ROBOT

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_MOTOR

    public static final int CAN_MSGID_DTYPE_MOTOR

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_RELAY

    public static final int CAN_MSGID_DTYPE_RELAY

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_GYRO

    public static final int CAN_MSGID_DTYPE_GYRO

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_ACCEL

    public static final int CAN_MSGID_DTYPE_ACCEL

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_USONIC

    public static final int CAN_MSGID_DTYPE_USONIC

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_GEART

    public static final int CAN_MSGID_DTYPE_GEART

See Also:
  Constant Field Values

### CAN_MSGID_DTYPE_UPDATE

    public static final int CAN_MSGID_DTYPE_UPDATE

See Also:
  Constant Field Values

### CAN_MSGID_API_CLASS_M

    public static final int CAN_MSGID_API_CLASS_M

See Also:
  Constant Field Values

### CAN_MSGID_API_ID_M

    public static final int CAN_MSGID_API_ID_M

See Also:
  Constant Field Values

### CAN_API_MC_VOLTAGE

    public static final int CAN_API_MC_VOLTAGE

See Also:
  Constant Field Values

### CAN_API_MC_SPD

    public static final int CAN_API_MC_SPD

See Also:
  Constant Field Values

### CAN_API_MC_VCOMP

    public static final int CAN_API_MC_VCOMP

See Also:
  Constant Field Values

### CAN_API_MC_POS

    public static final int CAN_API_MC_POS

See Also:
  Constant Field Values

### CAN_API_MC_ICTRL

    public static final int CAN_API_MC_ICTRL

See Also:
  Constant Field Values

### CAN_API_MC_STATUS

    public static final int CAN_API_MC_STATUS

See Also:
  Constant Field Values

### CAN_API_MC_PSTAT

    public static final int CAN_API_MC_PSTAT

See Also:
  Constant Field Values

### CAN_API_MC_CFG

    public static final int CAN_API_MC_CFG

See Also:
  Constant Field Values

### CAN_API_MC_ACK

    public static final int CAN_API_MC_ACK

See Also:
  Constant Field Values

### LM_API_VOLT

    public static final int LM_API_VOLT

See Also:
  Constant Field Values

### LM_API_VOLT_EN

    public static final int LM_API_VOLT_EN

See Also:
  Constant Field Values

### LM_API_VOLT_DIS

    public static final int LM_API_VOLT_DIS

See Also:
  Constant Field Values

### LM_API_VOLT_SET

    public static final int LM_API_VOLT_SET

See Also:
  Constant Field Values

### LM_API_VOLT_SET_RAMP

    public static final int LM_API_VOLT_SET_RAMP

See Also:
  Constant Field Values

### LM_API_VOLT_T_EN

    public static final int LM_API_VOLT_T_EN

See Also:
  Constant Field Values

### LM_API_VOLT_T_SET

    public static final int LM_API_VOLT_T_SET

See Also:
  Constant Field Values

### LM_API_VOLT_T_SET_NO_ACK

    public static final int LM_API_VOLT_T_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_VOLT_SET_NO_ACK

    public static final int LM_API_VOLT_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_VOLT_RAMP_DIS

    public static final int LM_API_VOLT_RAMP_DIS

See Also:
  Constant Field Values

### LM_API_SYNC_PEND_NOW

    public static final int LM_API_SYNC_PEND_NOW

See Also:
  Constant Field Values

### LM_API_SPD

    public static final int LM_API_SPD

See Also:
  Constant Field Values

### LM_API_SPD_EN

    public static final int LM_API_SPD_EN

See Also:
  Constant Field Values

### LM_API_SPD_DIS

    public static final int LM_API_SPD_DIS

See Also:
  Constant Field Values

### LM_API_SPD_SET

    public static final int LM_API_SPD_SET

See Also:
  Constant Field Values

### LM_API_SPD_PC

    public static final int LM_API_SPD_PC

See Also:
  Constant Field Values

### LM_API_SPD_IC

    public static final int LM_API_SPD_IC

See Also:
  Constant Field Values

### LM_API_SPD_DC

    public static final int LM_API_SPD_DC

See Also:
  Constant Field Values

### LM_API_SPD_REF

    public static final int LM_API_SPD_REF

See Also:
  Constant Field Values

### LM_API_SPD_T_EN

    public static final int LM_API_SPD_T_EN

See Also:
  Constant Field Values

### LM_API_SPD_T_SET

    public static final int LM_API_SPD_T_SET

See Also:
  Constant Field Values

### LM_API_SPD_T_SET_NO_ACK

    public static final int LM_API_SPD_T_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_SPD_SET_NO_ACK

    public static final int LM_API_SPD_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_VCOMP

    public static final int LM_API_VCOMP

See Also:
  Constant Field Values

### LM_API_VCOMP_EN

    public static final int LM_API_VCOMP_EN

See Also:
  Constant Field Values

### LM_API_VCOMP_DIS

    public static final int LM_API_VCOMP_DIS

See Also:
  Constant Field Values

### LM_API_VCOMP_SET

    public static final int LM_API_VCOMP_SET

See Also:
  Constant Field Values

### LM_API_VCOMP_IN_RAMP

    public static final int LM_API_VCOMP_IN_RAMP

See Also:
  Constant Field Values

### LM_API_VCOMP_COMP_RAMP

    public static final int LM_API_VCOMP_COMP_RAMP

See Also:
  Constant Field Values

### LM_API_VCOMP_T_EN

    public static final int LM_API_VCOMP_T_EN

See Also:
  Constant Field Values

### LM_API_VCOMP_T_SET

    public static final int LM_API_VCOMP_T_SET

See Also:
  Constant Field Values

### LM_API_VCOMP_T_SET_NO_ACK

    public static final int LM_API_VCOMP_T_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_VCOMP_SET_NO_ACK

    public static final int LM_API_VCOMP_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_POS

    public static final int LM_API_POS

See Also:
  Constant Field Values

### LM_API_POS_EN

    public static final int LM_API_POS_EN

See Also:
  Constant Field Values

### LM_API_POS_DIS

    public static final int LM_API_POS_DIS

See Also:
  Constant Field Values

### LM_API_POS_SET

    public static final int LM_API_POS_SET

See Also:
  Constant Field Values

### LM_API_POS_PC

    public static final int LM_API_POS_PC

See Also:
  Constant Field Values

### LM_API_POS_IC

    public static final int LM_API_POS_IC

See Also:
  Constant Field Values

### LM_API_POS_DC

    public static final int LM_API_POS_DC

See Also:
  Constant Field Values

### LM_API_POS_REF

    public static final int LM_API_POS_REF

See Also:
  Constant Field Values

### LM_API_POS_T_EN

    public static final int LM_API_POS_T_EN

See Also:
  Constant Field Values

### LM_API_POS_T_SET

    public static final int LM_API_POS_T_SET

See Also:
  Constant Field Values

### LM_API_POS_T_SET_NO_ACK

    public static final int LM_API_POS_T_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_POS_SET_NO_ACK

    public static final int LM_API_POS_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_ICTRL

    public static final int LM_API_ICTRL

See Also:
  Constant Field Values

### LM_API_ICTRL_EN

    public static final int LM_API_ICTRL_EN

See Also:
  Constant Field Values

### LM_API_ICTRL_DIS

    public static final int LM_API_ICTRL_DIS

See Also:
  Constant Field Values

### LM_API_ICTRL_SET

    public static final int LM_API_ICTRL_SET

See Also:
  Constant Field Values

### LM_API_ICTRL_PC

    public static final int LM_API_ICTRL_PC

See Also:
  Constant Field Values

### LM_API_ICTRL_IC

    public static final int LM_API_ICTRL_IC

See Also:
  Constant Field Values

### LM_API_ICTRL_DC

    public static final int LM_API_ICTRL_DC

See Also:
  Constant Field Values

### LM_API_ICTRL_T_EN

    public static final int LM_API_ICTRL_T_EN

See Also:
  Constant Field Values

### LM_API_ICTRL_T_SET

    public static final int LM_API_ICTRL_T_SET

See Also:
  Constant Field Values

### LM_API_ICTRL_T_SET_NO_ACK

    public static final int LM_API_ICTRL_T_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_ICTRL_SET_NO_ACK

    public static final int LM_API_ICTRL_SET_NO_ACK

See Also:
  Constant Field Values

### LM_API_UPD

    public static final int LM_API_UPD

See Also:
  Constant Field Values

### LM_API_UPD_PING

    public static final int LM_API_UPD_PING

See Also:
  Constant Field Values

### LM_API_UPD_DOWNLOAD

    public static final int LM_API_UPD_DOWNLOAD

See Also:
  Constant Field Values

### LM_API_UPD_SEND_DATA

    public static final int LM_API_UPD_SEND_DATA

See Also:
  Constant Field Values

### LM_API_UPD_RESET

    public static final int LM_API_UPD_RESET

See Also:
  Constant Field Values

### LM_API_UPD_ACK

    public static final int LM_API_UPD_ACK

See Also:
  Constant Field Values

### LM_API_HWVER

    public static final int LM_API_HWVER

See Also:
  Constant Field Values

### LM_API_UPD_REQUEST

    public static final int LM_API_UPD_REQUEST

See Also:
  Constant Field Values

### LM_API_UNTRUST_EN

    public static final int LM_API_UNTRUST_EN

See Also:
  Constant Field Values

### LM_API_TRUST_EN

    public static final int LM_API_TRUST_EN

See Also:
  Constant Field Values

### LM_API_TRUST_HEARTBEAT

    public static final int LM_API_TRUST_HEARTBEAT

See Also:
  Constant Field Values

### LM_API_STATUS

    public static final int LM_API_STATUS

See Also:
  Constant Field Values

### LM_API_STATUS_VOLTOUT

    public static final int LM_API_STATUS_VOLTOUT

See Also:
  Constant Field Values

### LM_API_STATUS_VOLTBUS

    public static final int LM_API_STATUS_VOLTBUS

See Also:
  Constant Field Values

### LM_API_STATUS_CURRENT

    public static final int LM_API_STATUS_CURRENT

See Also:
  Constant Field Values

### LM_API_STATUS_TEMP

    public static final int LM_API_STATUS_TEMP

See Also:
  Constant Field Values

### LM_API_STATUS_POS

    public static final int LM_API_STATUS_POS

See Also:
  Constant Field Values

### LM_API_STATUS_SPD

    public static final int LM_API_STATUS_SPD

See Also:
  Constant Field Values

### LM_API_STATUS_LIMIT

    public static final int LM_API_STATUS_LIMIT

See Also:
  Constant Field Values

### LM_API_STATUS_FAULT

    public static final int LM_API_STATUS_FAULT

See Also:
  Constant Field Values

### LM_API_STATUS_POWER

    public static final int LM_API_STATUS_POWER

See Also:
  Constant Field Values

### LM_API_STATUS_CMODE

    public static final int LM_API_STATUS_CMODE

See Also:
  Constant Field Values

### LM_API_STATUS_VOUT

    public static final int LM_API_STATUS_VOUT

See Also:
  Constant Field Values

### LM_API_STATUS_STKY_FLT

    public static final int LM_API_STATUS_STKY_FLT

See Also:
  Constant Field Values

### LM_API_STATUS_FLT_COUNT

    public static final int LM_API_STATUS_FLT_COUNT

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_FWD

    public static final int LM_STATUS_LIMIT_FWD

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_REV

    public static final int LM_STATUS_LIMIT_REV

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_SREV

    public static final int LM_STATUS_LIMIT_SREV

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_STKY_FWD

    public static final int LM_STATUS_LIMIT_STKY_FWD

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_STKY_REV

    public static final int LM_STATUS_LIMIT_STKY_REV

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_STKY_SFWD

    public static final int LM_STATUS_LIMIT_STKY_SFWD

See Also:
  Constant Field Values

### LM_STATUS_LIMIT_STKY_SREV

    public static final int LM_STATUS_LIMIT_STKY_SREV

See Also:
  Constant Field Values

### LM_STATUS_FAULT_ILIMIT

    public static final int LM_STATUS_FAULT_ILIMIT

See Also:
  Constant Field Values

### LM_STATUS_FAULT_TLIMIT

    public static final int LM_STATUS_FAULT_TLIMIT

See Also:
  Constant Field Values

### LM_STATUS_FAULT_VLIMIT

    public static final int LM_STATUS_FAULT_VLIMIT

See Also:
  Constant Field Values

### LM_API_CFG

    public static final int LM_API_CFG

See Also:
  Constant Field Values

### LM_API_CFG_NUM_BRUSHES

    public static final int LM_API_CFG_NUM_BRUSHES

See Also:
  Constant Field Values

### LM_API_CFG_ENC_LINES

    public static final int LM_API_CFG_ENC_LINES

See Also:
  Constant Field Values

### LM_API_CFG_POT_TURNS

    public static final int LM_API_CFG_POT_TURNS

See Also:
  Constant Field Values

### LM_API_CFG_BRAKE_COAST

    public static final int LM_API_CFG_BRAKE_COAST

See Also:
  Constant Field Values

### LM_API_CFG_LIMIT_MODE

    public static final int LM_API_CFG_LIMIT_MODE

See Also:
  Constant Field Values

### LM_API_CFG_LIMIT_FWD

    public static final int LM_API_CFG_LIMIT_FWD

See Also:
  Constant Field Values

### LM_API_CFG_LIMIT_REV

    public static final int LM_API_CFG_LIMIT_REV

See Also:
  Constant Field Values

### LM_API_CFG_MAX_VOUT

    public static final int LM_API_CFG_MAX_VOUT

See Also:
  Constant Field Values

### LM_API_CFG_FAULT_TIME

    public static final int LM_API_CFG_FAULT_TIME

See Also:
  Constant Field Values

### LM_API_ACK

    public static final int LM_API_ACK

See Also:
  Constant Field Values

### LM_HWVER_UNKNOWN

    public static final int LM_HWVER_UNKNOWN

See Also:
  Constant Field Values

### LM_HWVER_JAG_1_0

    public static final int LM_HWVER_JAG_1_0

See Also:
  Constant Field Values

### LM_HWVER_JAG_2_0

    public static final int LM_HWVER_JAG_2_0

See Also:
  Constant Field Values

### LM_STATUS_CMODE_VOLT

    public static final int LM_STATUS_CMODE_VOLT

See Also:
  Constant Field Values

### LM_STATUS_CMODE_CURRENT

    public static final int LM_STATUS_CMODE_CURRENT

See Also:
  Constant Field Values

### LM_STATUS_CMODE_SPEED

    public static final int LM_STATUS_CMODE_SPEED

See Also:
  Constant Field Values

### LM_STATUS_CMODE_POS

    public static final int LM_STATUS_CMODE_POS

See Also:
  Constant Field Values

### LM_STATUS_CMODE_VCOMP

    public static final int LM_STATUS_CMODE_VCOMP

See Also:
  Constant Field Values

### LM_REF_ENCODER

    public static final int LM_REF_ENCODER

See Also:
  Constant Field Values

### LM_REF_POT

    public static final int LM_REF_POT

See Also:
  Constant Field Values

### LM_REF_INV_ENCODER

    public static final int LM_REF_INV_ENCODER

See Also:
  Constant Field Values

### LM_REF_QUAD_ENCODER

    public static final int LM_REF_QUAD_ENCODER

See Also:
  Constant Field Values

### LM_REF_NONE

    public static final int LM_REF_NONE

See Also:
  Constant Field Values

### LM_FAULT_CURRENT

    public static final int LM_FAULT_CURRENT

See Also:
  Constant Field Values

### LM_FAULT_TEMP

    public static final int LM_FAULT_TEMP

See Also:
  Constant Field Values

### LM_FAULT_VBUS

    public static final int LM_FAULT_VBUS

See Also:
  Constant Field Values

### LM_FAULT_GATE_DRIVE

    public static final int LM_FAULT_GATE_DRIVE

See Also:
  Constant Field Values

### LM_FAULT_COMM

    public static final int LM_FAULT_COMM

See Also:
  Constant Field Values

### LM_API_PSTAT

    public static final int LM_API_PSTAT

See Also:
  Constant Field Values

### LM_API_PSTAT_PER_EN_S0

    public static final int LM_API_PSTAT_PER_EN_S0

See Also:
  Constant Field Values

### LM_API_PSTAT_PER_EN_S1

    public static final int LM_API_PSTAT_PER_EN_S1

See Also:
  Constant Field Values

### LM_API_PSTAT_PER_EN_S2

    public static final int LM_API_PSTAT_PER_EN_S2

See Also:
  Constant Field Values

### LM_API_PSTAT_PER_EN_S3

    public static final int LM_API_PSTAT_PER_EN_S3

See Also:
  Constant Field Values

### LM_API_PSTAT_CFG_S0

    public static final int LM_API_PSTAT_CFG_S0

See Also:
  Constant Field Values

### LM_API_PSTAT_CFG_S1

    public static final int LM_API_PSTAT_CFG_S1

See Also:
  Constant Field Values

### LM_API_PSTAT_CFG_S2

    public static final int LM_API_PSTAT_CFG_S2

See Also:
  Constant Field Values

### LM_API_PSTAT_CFG_S3

    public static final int LM_API_PSTAT_CFG_S3

See Also:
  Constant Field Values

### LM_API_PSTAT_DATA_S0

    public static final int LM_API_PSTAT_DATA_S0

See Also:
  Constant Field Values

### LM_API_PSTAT_DATA_S1

    public static final int LM_API_PSTAT_DATA_S1

See Also:
  Constant Field Values

### LM_API_PSTAT_DATA_S2

    public static final int LM_API_PSTAT_DATA_S2

See Also:
  Constant Field Values

### LM_API_PSTAT_DATA_S3

    public static final int LM_API_PSTAT_DATA_S3

See Also:
  Constant Field Values

### LM_PSTAT_END

    public static final int LM_PSTAT_END

See Also:
  Constant Field Values

### LM_PSTAT_VOLTOUT_B0

    public static final int LM_PSTAT_VOLTOUT_B0

See Also:
  Constant Field Values

### LM_PSTAT_VOLTOUT_B1

    public static final int LM_PSTAT_VOLTOUT_B1

See Also:
  Constant Field Values

### LM_PSTAT_VOLTBUS_B0

    public static final int LM_PSTAT_VOLTBUS_B0

See Also:
  Constant Field Values

### LM_PSTAT_VOLTBUS_B1

    public static final int LM_PSTAT_VOLTBUS_B1

See Also:
  Constant Field Values

### LM_PSTAT_CURRENT_B0

    public static final int LM_PSTAT_CURRENT_B0

See Also:
  Constant Field Values

### LM_PSTAT_CURRENT_B1

    public static final int LM_PSTAT_CURRENT_B1

See Also:
  Constant Field Values

### LM_PSTAT_TEMP_B0

    public static final int LM_PSTAT_TEMP_B0

See Also:
  Constant Field Values

### LM_PSTAT_TEMP_B1

    public static final int LM_PSTAT_TEMP_B1

See Also:
  Constant Field Values

### LM_PSTAT_POS_B0

    public static final int LM_PSTAT_POS_B0

See Also:
  Constant Field Values

### LM_PSTAT_POS_B1

    public static final int LM_PSTAT_POS_B1

See Also:
  Constant Field Values

### LM_PSTAT_POS_B2

    public static final int LM_PSTAT_POS_B2

See Also:
  Constant Field Values

### LM_PSTAT_POS_B3

    public static final int LM_PSTAT_POS_B3

See Also:
  Constant Field Values

### LM_PSTAT_SPD_B0

    public static final int LM_PSTAT_SPD_B0

See Also:
  Constant Field Values

### LM_PSTAT_SPD_B1

    public static final int LM_PSTAT_SPD_B1

See Also:
  Constant Field Values

### LM_PSTAT_SPD_B2

    public static final int LM_PSTAT_SPD_B2

See Also:
  Constant Field Values

### LM_PSTAT_SPD_B3

    public static final int LM_PSTAT_SPD_B3

See Also:
  Constant Field Values

### LM_PSTAT_LIMIT_NCLR

    public static final int LM_PSTAT_LIMIT_NCLR

See Also:
  Constant Field Values

### LM_PSTAT_LIMIT_CLR

    public static final int LM_PSTAT_LIMIT_CLR

See Also:
  Constant Field Values

### LM_PSTAT_FAULT

    public static final int LM_PSTAT_FAULT

See Also:
  Constant Field Values

### LM_PSTAT_STKY_FLT_NCLR

    public static final int LM_PSTAT_STKY_FLT_NCLR

See Also:
  Constant Field Values

### LM_PSTAT_STKY_FLT_CLR

    public static final int LM_PSTAT_STKY_FLT_CLR

See Also:
  Constant Field Values

### LM_PSTAT_VOUT_B0

    public static final int LM_PSTAT_VOUT_B0

See Also:
  Constant Field Values

### LM_PSTAT_VOUT_B1

    public static final int LM_PSTAT_VOUT_B1

See Also:
  Constant Field Values

### LM_PSTAT_FLT_COUNT_CURRENT

    public static final int LM_PSTAT_FLT_COUNT_CURRENT

See Also:
  Constant Field Values

### LM_PSTAT_FLT_COUNT_TEMP

    public static final int LM_PSTAT_FLT_COUNT_TEMP

See Also:
  Constant Field Values

### LM_PSTAT_FLT_COUNT_VOLTBUS

    public static final int LM_PSTAT_FLT_COUNT_VOLTBUS

See Also:
  Constant Field Values

### LM_PSTAT_FLT_COUNT_GATE

    public static final int LM_PSTAT_FLT_COUNT_GATE

See Also:
  Constant Field Values

### LM_PSTAT_FLT_COUNT_COMM

    public static final int LM_PSTAT_FLT_COUNT_COMM

See Also:
  Constant Field Values

### LM_PSTAT_CANSTS

    public static final int LM_PSTAT_CANSTS

See Also:
  Constant Field Values

### LM_PSTAT_CANERR_B0

    public static final int LM_PSTAT_CANERR_B0

See Also:
  Constant Field Values

### LM_PSTAT_CANERR_B1

    public static final int LM_PSTAT_CANERR_B1

See Also:
  Constant Field Values

Constructor Detail

### JaguarCANProtocol

    public JaguarCANProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"